<?php

class AttendanceStudentController extends APIController
{
    public function attended($id)
    {
        $rules = array(
            'student_id'    =>  'required|exists:students,id',
        );
        $validation = Validator::make(Input::all(), $rules);
        if($validation->fails()) {
            return $this->status(422)->response(array(
                'errors'    =>  $validation->errors()->toArray(),
            ));
        }
        $attendance = Attendance::find($id);
        if(!$attendance) {
            return $this->status(404)->response(array('error' => 'Asistencia no encontrada'));
        }
        $student = $attendance->students()->whereId(Input::get('student_id'))->first();
        if(!$student) {
            return $this->status(404)->response(array('error' => 'Ese alumno no existe o no esta asociado con esa asistencia'));
        }
        $student->pivot->attended = $student->pivot->attended ? false: true;
        $student->pivot->save();
        return $this->status(200)->response(array('attended' => $student->pivot->attended));
    }
}