<?php

class CourseAttendanceController extends APIController
{
	public function show($courseId, $attendanceId)
	{
		$attendance = Course::find($courseId)->attendances()->with('students')->whereId($attendanceId)->first();
		if(!$attendance) {
			return $this->status(404)->response(array('error' => 'No existe esa asistencia'));
		}
		return $this->status(200)->response($attendance->toArray());
	}

	public function create($courseId)
	{
		$course = Course::find($courseId);
		$students = $course->students->lists('id');
		if(!$course) {
			return $this->status(404)->response(array('error' => 'Curso no encontrado'));
		}
        if(count($students) == 0) {
            return $this->status(422)->response(array('error' => 'El curso no tiene alumnos'));
        }
		$name = date('d M Y').' - '.$course->code;
		$attendance = Attendance::create(array(
			'name'		=>	$name,
			'course_id'	=>	$course->id,
			));
		$attendance->students()->sync($students);
		$attendance = Attendance::with('students')->whereId($attendance->id)->first();
		return $this->status(200)->response($attendance->toArray());
	}
}