<?php

class StudentCourseController extends APIController
{
	public function show($studentId, $courseId)
	{
		$student = Student::find($studentId);
		if(!$student) {
			return $this->status(404)->response(array('error' => 'Estudiante no encontrado'));
		}
        $course = $student->courses()->find($courseId);
		$totalAttendances = $course->attendances()->count();
		$onlyAttended = $student->attendances()->where('course_id', '=', $courseId)->wherePivot('attended', '=', true)->count();
		$percentage = $totalAttendances != 0 ? round(($onlyAttended/$totalAttendances)*100, 2) : 0;
		$data = array(
			'student'		=>	$student->toArray(),
            'course'        =>  $course->toArray(),
			'statistics'	=>	array(
				'total'			=>	$totalAttendances,
				'attended'		=>	$onlyAttended,
				'percentage'	=>	$percentage,
				),
			);
		return $this->status(200)->response($data);
	}
}