<?php

class TeacherController extends APIController
{
    public function index()
    {
        $teachers = Teacher::with('courses')->get();
        return $this->status(200)->response(array(
            'teachers'  =>  $teachers->toArray(),
            'total'     =>  count($teachers),
        ));
    }

	public function show($teacherId)
	{
		$teacher = Teacher::with('courses')->whereId($teacherId)->first();
		if(!$teacher) {
			return $this->status(404)->response(array('error' => 'Profesor no encontrado'));
		}
		return $this->status(200)->response($teacher->toArray());
	}

	public function store()
	{
		$validation = Validator::make(Input::all(), Teacher::$validationRules);
		if($validation->fails()) {
			return $this->status(422)->response(array(
				'errors'	=>	$validation->errors()->toArray()
				));
		}
		$teacher = new Teacher();
		$teacher->name = Input::get('name');
		$teacher->save();
		return $this->status(200)->response($teacher->toArray());
	}
}