<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateAttendanceStudentPivotTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('attendance_student', function(Blueprint $table)
		{
			$table->integer('attendance_id')->unsigned();
			$table->integer('student_id')->unsigned();
			$table->boolean('attended')->default(false);
			$table->primary(array('attendance_id', 'student_id'));
			$table->foreign('attendance_id')->references('id')->on('attendances')->onDelete('cascade');
			$table->foreign('student_id')->references('id')->on('students')->onDelete('cascade');
		});
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('attendance_student');
	}

}
