<?php

class Course extends Eloquent
{
	protected $table = 'courses';
	protected $fillable = array('name', 'code', 'teacher_id');
	public $timestamps = false;
	public static $validationRules = array(
		'name'			=>	'required|min:1|max:200',
		'code'			=>	'required',
		'teacher_id'	=>	'required|exists:teachers,id',
		);

	public function teacher()
	{
		return $this->belongsTo('Teacher');
	}

	public function students()
	{
		return $this->belongsToMany('Student');
	}

	public function attendances()
	{
		return $this->hasMany('Attendance');
	}
}