<?php

Route::get('/', array('as' => 'index', 'uses' => 'HomeController@index'));

Route::group(array('prefix' => 'api'), function()
{
    header('Access-Control-Allow-Origin: *');
	Route::get('teacher/{id}', array('as' => 'teacher.show', 'uses' => 'TeacherController@show'));
    Route::get('teacher', array('as' => 'teacher.index', 'uses' => 'TeacherController@index'));
	Route::post('teacher', array('as' => 'teacher.store', 'uses' => 'TeacherController@store'));

	Route::get('course/{id}', array('as' => 'course.show', 'uses' => 'CourseController@show'));
    Route::get('course', array('as' => 'course.index', 'uses' => 'CourseController@index'));
	Route::post('course', array('as' => 'course.store', 'uses' => 'CourseController@store'));

	Route::post('course/{id}/student/add', array('as' => 'course.student.add', 'uses' => 'CourseController@addStudent'));
	Route::post('student/{id}/course/add', array('as' => 'student.course.add', 'uses' => 'StudentController@addCourse'));

	Route::get('course/{course_id}/attendance/{attendance_id}', array('as' => 'course.attendance.show', 'uses' => 'CourseAttendanceController@show'));
	Route::post('course/{id}/attendance', array('as' => 'course.attendance.store', 'uses' => 'CourseAttendanceController@create'));

	Route::get('student/{id}', array('as' => 'student.show', 'uses' => 'StudentController@show'));
	Route::get('student/{studentId}/course/{courseId}', array('as' => 'student.course.show', 'uses' => 'StudentCourseController@show'));
	Route::post('student', array('as' => 'student.store', 'uses' => 'StudentController@store'));
    Route::get('student', array('as' => 'student.index', 'uses' => 'StudentController@index'));

    Route::post('attendance/{id}/student/attended', array('as' => 'attendance.student.attended', 'uses' => 'AttendanceStudentController@attended'));
});

